## Overview

Espressif’s ESP8266 delivers highly integrated Wi-Fi SoC solution to meet users’ continuous demands for efficient power usage, compact design and reliable performance in the Internet of Things industry.

With the complete and self-contained Wi-Fi networking capabilities, ESP8266 can perform either as a standalone application or as the slave to a host MCU. When ESP8266 hosts the application, it promptly boots up from the flash. The integrated highspeed cache helps to increase the system performance and optimize the system memory.

Also, ESP8266 can be applied to any microcontroller design as a Wi-Fi adaptor through SPI/SDIO or UART interfaces.

ESP8266 integrates antenna switches, RF balun, power amplifier, low noise receive amplifier, filters and power management modules. The compact design minimizes the PCB size and requires minimal external circuitries.

Besides the Wi-Fi functionalities, ESP8266 also integrates an enhanced version of Tensilica’s L106 Diamond series 32-bit processor and on-chip SRAM. It can be interfaced with external sensors and other devices through the GPIOs.

More information about the board can be found at here:

- [AliOS Things github wiki](https://github.com/alibaba/AliOS-Things/wiki)

## Directories

```sh
esp8266-demo
├── aos.mk
├── board.c
├── Config.in
├── k_config.h
├── README.md
└── ucube.py
```

## Board Hardware Resources

* CPU: Tensilica L106 32-bit RISC(<= 160MHz)
* FLASH: 1024 KB
* SRAM: 80 KB

## Update log

## Reference
